Newer
Older
cat >>confdefs.h <<\_ACEOF
#define USE_THREADS 1
_ACEOF
# CC, CFLAGS and LIBS are system and compiler-dependent
acx_pthread_ok=no
# First, check if the POSIX threads header, pthread.h, is available.
# If it isn't, don't bother looking for the threads libraries.
# AC_CHECK_HEADER(pthread.h, , acx_pthread_ok=noheader)
if test "${ac_cv_header_pthread_h+set}" = set; then
Emmanuel Bertin
committed
{ $as_echo "$as_me:$LINENO: checking for pthread.h" >&5
$as_echo_n "checking for pthread.h... " >&6; }
if test "${ac_cv_header_pthread_h+set}" = set; then
Emmanuel Bertin
committed
$as_echo_n "(cached) " >&6
Emmanuel Bertin
committed
{ $as_echo "$as_me:$LINENO: result: $ac_cv_header_pthread_h" >&5
$as_echo "$ac_cv_header_pthread_h" >&6; }
Emmanuel Bertin
committed
{ $as_echo "$as_me:$LINENO: checking pthread.h usability" >&5
$as_echo_n "checking pthread.h usability... " >&6; }
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
$ac_includes_default
#include <pthread.h>
_ACEOF
rm -f conftest.$ac_objext
if { (ac_try="$ac_compile"
case "(($ac_try" in
*\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
*) ac_try_echo=$ac_try;;
esac
Emmanuel Bertin
committed
eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
$as_echo "$ac_try_echo") >&5
(eval "$ac_compile") 2>conftest.er1
ac_status=$?
grep -v '^ *+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
Emmanuel Bertin
committed
$as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } && {
test -z "$ac_c_werror_flag" ||
test ! -s conftest.err
} && test -s conftest.$ac_objext; then
ac_header_compiler=yes
else
Emmanuel Bertin
committed
$as_echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
ac_header_compiler=no
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
Emmanuel Bertin
committed
{ $as_echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
$as_echo "$ac_header_compiler" >&6; }
Emmanuel Bertin
committed
{ $as_echo "$as_me:$LINENO: checking pthread.h presence" >&5
$as_echo_n "checking pthread.h presence... " >&6; }
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
#include <pthread.h>
_ACEOF
if { (ac_try="$ac_cpp conftest.$ac_ext"
case "(($ac_try" in
*\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
*) ac_try_echo=$ac_try;;
esac
Emmanuel Bertin
committed
eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
$as_echo "$ac_try_echo") >&5
(eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
ac_status=$?
grep -v '^ *+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
Emmanuel Bertin
committed
$as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } >/dev/null && {
test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
test ! -s conftest.err
}; then
ac_header_preproc=yes
else
Emmanuel Bertin
committed
$as_echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
ac_header_preproc=no
fi
rm -f conftest.err conftest.$ac_ext
Emmanuel Bertin
committed
{ $as_echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
$as_echo "$ac_header_preproc" >&6; }
# So? What about this header?
case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
yes:no: )
Emmanuel Bertin
committed
{ $as_echo "$as_me:$LINENO: WARNING: pthread.h: accepted by the compiler, rejected by the preprocessor!" >&5
$as_echo "$as_me: WARNING: pthread.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
{ $as_echo "$as_me:$LINENO: WARNING: pthread.h: proceeding with the compiler's result" >&5
$as_echo "$as_me: WARNING: pthread.h: proceeding with the compiler's result" >&2;}
ac_header_preproc=yes
;;
no:yes:* )
Emmanuel Bertin
committed
{ $as_echo "$as_me:$LINENO: WARNING: pthread.h: present but cannot be compiled" >&5
$as_echo "$as_me: WARNING: pthread.h: present but cannot be compiled" >&2;}
{ $as_echo "$as_me:$LINENO: WARNING: pthread.h: check for missing prerequisite headers?" >&5
$as_echo "$as_me: WARNING: pthread.h: check for missing prerequisite headers?" >&2;}
{ $as_echo "$as_me:$LINENO: WARNING: pthread.h: see the Autoconf documentation" >&5
$as_echo "$as_me: WARNING: pthread.h: see the Autoconf documentation" >&2;}
{ $as_echo "$as_me:$LINENO: WARNING: pthread.h: section \"Present But Cannot Be Compiled\"" >&5
$as_echo "$as_me: WARNING: pthread.h: section \"Present But Cannot Be Compiled\"" >&2;}
{ $as_echo "$as_me:$LINENO: WARNING: pthread.h: proceeding with the preprocessor's result" >&5
$as_echo "$as_me: WARNING: pthread.h: proceeding with the preprocessor's result" >&2;}
{ $as_echo "$as_me:$LINENO: WARNING: pthread.h: in the future, the compiler will take precedence" >&5
$as_echo "$as_me: WARNING: pthread.h: in the future, the compiler will take precedence" >&2;}
( cat <<\_ASBOX
## ---------------------------- ##
## Report this to bertin@iap.fr ##
## ---------------------------- ##
_ASBOX
) | sed "s/^/$as_me: WARNING: /" >&2
;;
esac
Emmanuel Bertin
committed
{ $as_echo "$as_me:$LINENO: checking for pthread.h" >&5
$as_echo_n "checking for pthread.h... " >&6; }
if test "${ac_cv_header_pthread_h+set}" = set; then
Emmanuel Bertin
committed
$as_echo_n "(cached) " >&6
else
ac_cv_header_pthread_h=$ac_header_preproc
fi
Emmanuel Bertin
committed
{ $as_echo "$as_me:$LINENO: result: $ac_cv_header_pthread_h" >&5
$as_echo "$ac_cv_header_pthread_h" >&6; }
Emmanuel Bertin
committed
if test "x$ac_cv_header_pthread_h" = x""yes; then
23147
23148
23149
23150
23151
23152
23153
23154
23155
23156
23157
23158
23159
23160
23161
23162
23163
23164
23165
23166
:
else
acx_pthread_ok=no
fi
# We must check for the threads library under a number of different
# names; the ordering is very important because some systems
# (e.g. DEC) have both -lpthread and -lpthreads, where one of the
# libraries is broken (non-POSIX).
# First of all, check if the user has set any of the PTHREAD_LIBS,
# etcetera environment variables, and if threads linking works using
# them:
if test x"$PTHREAD_LIBS$PTHREAD_CFLAGS" != x; then
save_CFLAGS="$CFLAGS"
CFLAGS="$CFLAGS $PTHREAD_CFLAGS"
save_LIBS="$LIBS"
LIBS="$PTHREAD_LIBS $LIBS"
Emmanuel Bertin
committed
{ $as_echo "$as_me:$LINENO: checking for pthread_join in LIBS=$PTHREAD_LIBS with CFLAGS=$PTHREAD_CFLAGS" >&5
$as_echo_n "checking for pthread_join in LIBS=$PTHREAD_LIBS with CFLAGS=$PTHREAD_CFLAGS... " >&6; }
23169
23170
23171
23172
23173
23174
23175
23176
23177
23178
23179
23180
23181
23182
23183
23184
23185
23186
23187
23188
23189
23190
23191
23192
23193
23194
23195
23196
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
/* Override any GCC internal prototype to avoid an error.
Use char because int might match the return type of a GCC
builtin and then its argument prototype would still apply. */
#ifdef __cplusplus
extern "C"
#endif
char pthread_join ();
int
main ()
{
return pthread_join ();
;
return 0;
}
_ACEOF
rm -f conftest.$ac_objext conftest$ac_exeext
if { (ac_try="$ac_link"
case "(($ac_try" in
*\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
*) ac_try_echo=$ac_try;;
esac
Emmanuel Bertin
committed
eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
$as_echo "$ac_try_echo") >&5
(eval "$ac_link") 2>conftest.er1
ac_status=$?
grep -v '^ *+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
Emmanuel Bertin
committed
$as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } && {
test -z "$ac_c_werror_flag" ||
test ! -s conftest.err
Emmanuel Bertin
committed
} && test -s conftest$ac_exeext && {
test "$cross_compiling" = yes ||
$as_test_x conftest$ac_exeext
}; then
Emmanuel Bertin
committed
$as_echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
fi
Emmanuel Bertin
committed
rm -rf conftest.dSYM
rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
conftest$ac_exeext conftest.$ac_ext
Emmanuel Bertin
committed
{ $as_echo "$as_me:$LINENO: result: $acx_pthread_ok" >&5
$as_echo "$acx_pthread_ok" >&6; }
23225
23226
23227
23228
23229
23230
23231
23232
23233
23234
23235
23236
23237
23238
23239
23240
23241
23242
23243
23244
23245
23246
23247
23248
23249
23250
23251
23252
23253
23254
23255
23256
23257
23258
23259
23260
23261
23262
23263
23264
23265
23266
23267
23268
23269
23270
23271
23272
23273
23274
23275
23276
if test x"$acx_pthread_ok" = xno; then
PTHREAD_LIBS=""
PTHREAD_CFLAGS=""
fi
LIBS="$save_LIBS"
CFLAGS="$save_CFLAGS"
fi
# Create a list of thread flags to try. Items starting with a "-" are
# C compiler flags, and other items are library names, except for "none"
# which indicates that we try without any flags at all.
acx_pthread_flags="pthreads none -Kthread -kthread lthread pthread -pthread -pthreads -mthreads --thread-safe -mt"
# The ordering *is* (sometimes) important. Some notes on the
# individual items follow:
# pthreads: AIX (must check this before -lpthread)
# none: in case threads are in libc; should be tried before -Kthread and
# other compiler flags to prevent continual compiler warnings
# -Kthread: Sequent (threads in libc, but -Kthread needed for pthread.h)
# -kthread: FreeBSD kernel threads (preferred to -pthread since SMP-able)
# lthread: LinuxThreads port on FreeBSD (also preferred to -pthread)
# -pthread: Linux/gcc (kernel threads), BSD/gcc (userland threads)
# -pthreads: Solaris/gcc
# -mthreads: Mingw32/gcc, Lynx/gcc
# -mt: Sun Workshop C (may only link SunOS threads [-lthread], but it
# doesn't hurt to check since this sometimes defines pthreads too;
# also defines -D_REENTRANT)
# pthread: Linux, etcetera
# --thread-safe: KAI C++
case "${host_cpu}-${host_os}" in
*solaris*)
# On Solaris (at least, for some versions), libc contains stubbed
# (non-functional) versions of the pthreads routines, so link-based
# tests will erroneously succeed. (We need to link with -pthread or
# -lpthread.) (The stubs are missing pthread_cleanup_push, or rather
# a function called by this macro, so we could check for that, but
# who knows whether they'll stub that too in a future libc.) So,
# we'll just look for -pthreads and -lpthread first:
acx_pthread_flags="-pthread -pthreads pthread -mt $acx_pthread_flags"
;;
esac
if test x"$acx_pthread_ok" = xno; then
for flag in $acx_pthread_flags; do
case $flag in
none)
Emmanuel Bertin
committed
{ $as_echo "$as_me:$LINENO: checking whether pthreads work without any flags" >&5
$as_echo_n "checking whether pthreads work without any flags... " >&6; }
Emmanuel Bertin
committed
{ $as_echo "$as_me:$LINENO: checking whether pthreads work with $flag" >&5
$as_echo_n "checking whether pthreads work with $flag... " >&6; }
PTHREAD_CFLAGS="$flag"
;;
*)
Emmanuel Bertin
committed
{ $as_echo "$as_me:$LINENO: checking for the pthreads library -l$flag" >&5
$as_echo_n "checking for the pthreads library -l$flag... " >&6; }
23290
23291
23292
23293
23294
23295
23296
23297
23298
23299
23300
23301
23302
23303
23304
23305
23306
23307
23308
23309
23310
23311
23312
23313
23314
23315
23316
23317
23318
23319
23320
23321
23322
23323
23324
23325
23326
23327
23328
23329
23330
PTHREAD_LIBS="-l$flag"
;;
esac
save_LIBS="$LIBS"
save_CFLAGS="$CFLAGS"
LIBS="$PTHREAD_LIBS $LIBS"
CFLAGS="$CFLAGS $PTHREAD_CFLAGS"
# Check for various functions. We must include pthread.h,
# since some functions may be macros. (On the Sequent, we
# need a special flag -Kthread to make this header compile.)
# We check for pthread_join because it is in -lpthread on IRIX
# while pthread_create is in libc. We check for pthread_attr_init
# due to DEC craziness with -lpthreads. We check for
# pthread_cleanup_push because it is one of the few pthread
# functions on Solaris that doesn't have a non-functional libc stub.
# We try pthread_create on general principles.
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
#include <pthread.h>
int
main ()
{
pthread_t th; pthread_join(th, 0);
pthread_attr_init(0); pthread_cleanup_push(0, 0);
pthread_create(0,0,0,0); pthread_cleanup_pop(0);
;
return 0;
}
_ACEOF
rm -f conftest.$ac_objext conftest$ac_exeext
if { (ac_try="$ac_link"
case "(($ac_try" in
*\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
*) ac_try_echo=$ac_try;;
esac
Emmanuel Bertin
committed
eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
$as_echo "$ac_try_echo") >&5
(eval "$ac_link") 2>conftest.er1
ac_status=$?
grep -v '^ *+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
Emmanuel Bertin
committed
$as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } && {
test -z "$ac_c_werror_flag" ||
test ! -s conftest.err
Emmanuel Bertin
committed
} && test -s conftest$ac_exeext && {
test "$cross_compiling" = yes ||
$as_test_x conftest$ac_exeext
}; then
Emmanuel Bertin
committed
$as_echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
fi
Emmanuel Bertin
committed
rm -rf conftest.dSYM
rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
conftest$ac_exeext conftest.$ac_ext
LIBS="$save_LIBS"
CFLAGS="$save_CFLAGS"
Emmanuel Bertin
committed
{ $as_echo "$as_me:$LINENO: result: $acx_pthread_ok" >&5
$as_echo "$acx_pthread_ok" >&6; }
23363
23364
23365
23366
23367
23368
23369
23370
23371
23372
23373
23374
23375
23376
23377
23378
23379
23380
if test "x$acx_pthread_ok" = xyes; then
break;
fi
PTHREAD_LIBS=""
PTHREAD_CFLAGS=""
done
fi
# Various other checks:
if test "x$acx_pthread_ok" = xyes; then
save_LIBS="$LIBS"
LIBS="$PTHREAD_LIBS $LIBS"
save_CFLAGS="$CFLAGS"
CFLAGS="$CFLAGS $PTHREAD_CFLAGS"
# Detect AIX lossage: threads are created detached by default
# and the JOINABLE attribute has a nonstandard name (UNDETACHED).
Emmanuel Bertin
committed
{ $as_echo "$as_me:$LINENO: checking for joinable pthread attribute" >&5
$as_echo_n "checking for joinable pthread attribute... " >&6; }
23383
23384
23385
23386
23387
23388
23389
23390
23391
23392
23393
23394
23395
23396
23397
23398
23399
23400
23401
23402
23403
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
#include <pthread.h>
int
main ()
{
int attr=PTHREAD_CREATE_JOINABLE;
;
return 0;
}
_ACEOF
rm -f conftest.$ac_objext conftest$ac_exeext
if { (ac_try="$ac_link"
case "(($ac_try" in
*\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
*) ac_try_echo=$ac_try;;
esac
Emmanuel Bertin
committed
eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
$as_echo "$ac_try_echo") >&5
(eval "$ac_link") 2>conftest.er1
ac_status=$?
grep -v '^ *+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
Emmanuel Bertin
committed
$as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } && {
test -z "$ac_c_werror_flag" ||
test ! -s conftest.err
Emmanuel Bertin
committed
} && test -s conftest$ac_exeext && {
test "$cross_compiling" = yes ||
$as_test_x conftest$ac_exeext
}; then
Emmanuel Bertin
committed
$as_echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
ok=unknown
fi
Emmanuel Bertin
committed
rm -rf conftest.dSYM
23428
23429
23430
23431
23432
23433
23434
23435
23436
23437
23438
23439
23440
23441
23442
23443
23444
23445
23446
23447
23448
23449
23450
23451
rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
conftest$ac_exeext conftest.$ac_ext
if test x"$ok" = xunknown; then
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
#include <pthread.h>
int
main ()
{
int attr=PTHREAD_CREATE_UNDETACHED;
;
return 0;
}
_ACEOF
rm -f conftest.$ac_objext conftest$ac_exeext
if { (ac_try="$ac_link"
case "(($ac_try" in
*\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
*) ac_try_echo=$ac_try;;
esac
Emmanuel Bertin
committed
eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
$as_echo "$ac_try_echo") >&5
(eval "$ac_link") 2>conftest.er1
ac_status=$?
grep -v '^ *+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
Emmanuel Bertin
committed
$as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } && {
test -z "$ac_c_werror_flag" ||
test ! -s conftest.err
Emmanuel Bertin
committed
} && test -s conftest$ac_exeext && {
test "$cross_compiling" = yes ||
$as_test_x conftest$ac_exeext
}; then
Emmanuel Bertin
committed
$as_echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
ok=unknown
fi
Emmanuel Bertin
committed
rm -rf conftest.dSYM
rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
conftest$ac_exeext conftest.$ac_ext
fi
if test x"$ok" != xPTHREAD_CREATE_JOINABLE; then
cat >>confdefs.h <<\_ACEOF
#define PTHREAD_CREATE_JOINABLE $ok
_ACEOF
fi
Emmanuel Bertin
committed
{ $as_echo "$as_me:$LINENO: result: ${ok}" >&5
$as_echo "${ok}" >&6; }
Emmanuel Bertin
committed
{ $as_echo "$as_me:$LINENO: WARNING: we do not know how to create joinable pthreads" >&5
$as_echo "$as_me: WARNING: we do not know how to create joinable pthreads" >&2;}
Emmanuel Bertin
committed
{ $as_echo "$as_me:$LINENO: checking if more special flags are required for pthreads" >&5
$as_echo_n "checking if more special flags are required for pthreads... " >&6; }
flag=no
case "${host_cpu}-${host_os}" in
*-aix* | *-freebsd*) flag="-D_THREAD_SAFE";;
*solaris* | alpha*-osf*) flag="-D_REENTRANT";;
esac
Emmanuel Bertin
committed
{ $as_echo "$as_me:$LINENO: result: ${flag}" >&5
$as_echo "${flag}" >&6; }
if test "x$flag" != xno; then
PTHREAD_CFLAGS="$flag $PTHREAD_CFLAGS"
fi
LIBS="$save_LIBS"
CFLAGS="$save_CFLAGS"
# More AIX lossage: must compile with cc_r
# Extract the first word of "cc_r", so it can be a program name with args.
set dummy cc_r; ac_word=$2
Emmanuel Bertin
committed
{ $as_echo "$as_me:$LINENO: checking for $ac_word" >&5
$as_echo_n "checking for $ac_word... " >&6; }
if test "${ac_cv_prog_PTHREAD_CC+set}" = set; then
Emmanuel Bertin
committed
$as_echo_n "(cached) " >&6
else
if test -n "$PTHREAD_CC"; then
ac_cv_prog_PTHREAD_CC="$PTHREAD_CC" # Let the user override the test.
else
as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in $PATH
do
IFS=$as_save_IFS
test -z "$as_dir" && as_dir=.
for ac_exec_ext in '' $ac_executable_extensions; do
if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
ac_cv_prog_PTHREAD_CC="cc_r"
Emmanuel Bertin
committed
$as_echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
break 2
fi
done
done
IFS=$as_save_IFS
test -z "$ac_cv_prog_PTHREAD_CC" && ac_cv_prog_PTHREAD_CC="${CC}"
fi
fi
PTHREAD_CC=$ac_cv_prog_PTHREAD_CC
if test -n "$PTHREAD_CC"; then
Emmanuel Bertin
committed
{ $as_echo "$as_me:$LINENO: result: $PTHREAD_CC" >&5
$as_echo "$PTHREAD_CC" >&6; }
Emmanuel Bertin
committed
{ $as_echo "$as_me:$LINENO: result: no" >&5
$as_echo "no" >&6; }
23545
23546
23547
23548
23549
23550
23551
23552
23553
23554
23555
23556
23557
23558
23559
23560
23561
23562
23563
23564
23565
23566
23567
23568
23569
23570
23571
23572
23573
23574
23575
23576
23577
23578
23579
23580
23581
23582
23583
23584
23585
23586
23587
23588
23589
23590
23591
fi
else
PTHREAD_CC="$CC"
fi
# Finally, execute ACTION-IF-FOUND/ACTION-IF-NOT-FOUND:
if test x"$acx_pthread_ok" = xyes; then
cat >>confdefs.h <<\_ACEOF
#define HAVE_PTHREAD 1
_ACEOF
:
else
acx_pthread_ok=no
fi
CC="$PTHREAD_CC"
CFLAGS="$CFLAGS $PTHREAD_CFLAGS -D_REENTRANT"
LIBS="$PTHREAD_LIBS $LIBS"
fi
if test $use_pthreads = "yes"; then
USE_THREADS_TRUE=
USE_THREADS_FALSE='#'
else
USE_THREADS_TRUE='#'
USE_THREADS_FALSE=
fi
################ handle the FFTW library (Fourier transforms) ################
acx_fftw_ok=no
if test x$fftw_incdir = x; then
if test x$fftw_libdir = x; then
if test "${ac_cv_header_fftw3_h+set}" = set; then
Emmanuel Bertin
committed
{ $as_echo "$as_me:$LINENO: checking for fftw3.h" >&5
$as_echo_n "checking for fftw3.h... " >&6; }
if test "${ac_cv_header_fftw3_h+set}" = set; then
Emmanuel Bertin
committed
$as_echo_n "(cached) " >&6
Emmanuel Bertin
committed
{ $as_echo "$as_me:$LINENO: result: $ac_cv_header_fftw3_h" >&5
$as_echo "$ac_cv_header_fftw3_h" >&6; }
Emmanuel Bertin
committed
{ $as_echo "$as_me:$LINENO: checking fftw3.h usability" >&5
$as_echo_n "checking fftw3.h usability... " >&6; }
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
$ac_includes_default
#include <fftw3.h>
_ACEOF
rm -f conftest.$ac_objext
if { (ac_try="$ac_compile"
case "(($ac_try" in
*\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
*) ac_try_echo=$ac_try;;
esac
Emmanuel Bertin
committed
eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
$as_echo "$ac_try_echo") >&5
(eval "$ac_compile") 2>conftest.er1
ac_status=$?
grep -v '^ *+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
Emmanuel Bertin
committed
$as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } && {
test -z "$ac_c_werror_flag" ||
test ! -s conftest.err
} && test -s conftest.$ac_objext; then
ac_header_compiler=yes
else
Emmanuel Bertin
committed
$as_echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
ac_header_compiler=no
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
Emmanuel Bertin
committed
{ $as_echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
$as_echo "$ac_header_compiler" >&6; }
Emmanuel Bertin
committed
{ $as_echo "$as_me:$LINENO: checking fftw3.h presence" >&5
$as_echo_n "checking fftw3.h presence... " >&6; }
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
#include <fftw3.h>
_ACEOF
if { (ac_try="$ac_cpp conftest.$ac_ext"
case "(($ac_try" in
*\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
*) ac_try_echo=$ac_try;;
esac
Emmanuel Bertin
committed
eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
$as_echo "$ac_try_echo") >&5
(eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
ac_status=$?
grep -v '^ *+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
Emmanuel Bertin
committed
$as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } >/dev/null && {
test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
test ! -s conftest.err
}; then
ac_header_preproc=yes
else
Emmanuel Bertin
committed
$as_echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
ac_header_preproc=no
fi
rm -f conftest.err conftest.$ac_ext
Emmanuel Bertin
committed
{ $as_echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
$as_echo "$ac_header_preproc" >&6; }
# So? What about this header?
case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
yes:no: )
Emmanuel Bertin
committed
{ $as_echo "$as_me:$LINENO: WARNING: fftw3.h: accepted by the compiler, rejected by the preprocessor!" >&5
$as_echo "$as_me: WARNING: fftw3.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
{ $as_echo "$as_me:$LINENO: WARNING: fftw3.h: proceeding with the compiler's result" >&5
$as_echo "$as_me: WARNING: fftw3.h: proceeding with the compiler's result" >&2;}
ac_header_preproc=yes
;;
no:yes:* )
Emmanuel Bertin
committed
{ $as_echo "$as_me:$LINENO: WARNING: fftw3.h: present but cannot be compiled" >&5
$as_echo "$as_me: WARNING: fftw3.h: present but cannot be compiled" >&2;}
{ $as_echo "$as_me:$LINENO: WARNING: fftw3.h: check for missing prerequisite headers?" >&5
$as_echo "$as_me: WARNING: fftw3.h: check for missing prerequisite headers?" >&2;}
{ $as_echo "$as_me:$LINENO: WARNING: fftw3.h: see the Autoconf documentation" >&5
$as_echo "$as_me: WARNING: fftw3.h: see the Autoconf documentation" >&2;}
{ $as_echo "$as_me:$LINENO: WARNING: fftw3.h: section \"Present But Cannot Be Compiled\"" >&5
$as_echo "$as_me: WARNING: fftw3.h: section \"Present But Cannot Be Compiled\"" >&2;}
{ $as_echo "$as_me:$LINENO: WARNING: fftw3.h: proceeding with the preprocessor's result" >&5
$as_echo "$as_me: WARNING: fftw3.h: proceeding with the preprocessor's result" >&2;}
{ $as_echo "$as_me:$LINENO: WARNING: fftw3.h: in the future, the compiler will take precedence" >&5
$as_echo "$as_me: WARNING: fftw3.h: in the future, the compiler will take precedence" >&2;}
( cat <<\_ASBOX
## ---------------------------- ##
## Report this to bertin@iap.fr ##
## ---------------------------- ##
_ASBOX
) | sed "s/^/$as_me: WARNING: /" >&2
;;
esac
Emmanuel Bertin
committed
{ $as_echo "$as_me:$LINENO: checking for fftw3.h" >&5
$as_echo_n "checking for fftw3.h... " >&6; }
if test "${ac_cv_header_fftw3_h+set}" = set; then
Emmanuel Bertin
committed
$as_echo_n "(cached) " >&6
else
ac_cv_header_fftw3_h=$ac_header_preproc
fi
Emmanuel Bertin
committed
{ $as_echo "$as_me:$LINENO: result: $ac_cv_header_fftw3_h" >&5
$as_echo "$ac_cv_header_fftw3_h" >&6; }
Emmanuel Bertin
committed
if test "x$ac_cv_header_fftw3_h" = x""yes; then
acx_fftw_ok=yes
fi
if test x$acx_fftw_ok = xyes; then
cat >>confdefs.h <<\_ACEOF
#define FFTW_H "fftw.h"
_ACEOF
else
if test "${ac_cv_header_fftw_fftw3_h+set}" = set; then
Emmanuel Bertin
committed
{ $as_echo "$as_me:$LINENO: checking for fftw/fftw3.h" >&5
$as_echo_n "checking for fftw/fftw3.h... " >&6; }
if test "${ac_cv_header_fftw_fftw3_h+set}" = set; then
Emmanuel Bertin
committed
$as_echo_n "(cached) " >&6
Emmanuel Bertin
committed
{ $as_echo "$as_me:$LINENO: result: $ac_cv_header_fftw_fftw3_h" >&5
$as_echo "$ac_cv_header_fftw_fftw3_h" >&6; }
Emmanuel Bertin
committed
{ $as_echo "$as_me:$LINENO: checking fftw/fftw3.h usability" >&5
$as_echo_n "checking fftw/fftw3.h usability... " >&6; }
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
$ac_includes_default
#include <fftw/fftw3.h>
_ACEOF
rm -f conftest.$ac_objext
if { (ac_try="$ac_compile"
case "(($ac_try" in
*\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
*) ac_try_echo=$ac_try;;
esac
Emmanuel Bertin
committed
eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
$as_echo "$ac_try_echo") >&5
(eval "$ac_compile") 2>conftest.er1
ac_status=$?
grep -v '^ *+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
Emmanuel Bertin
committed
$as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } && {
test -z "$ac_c_werror_flag" ||
test ! -s conftest.err
} && test -s conftest.$ac_objext; then
ac_header_compiler=yes
else
Emmanuel Bertin
committed
$as_echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
ac_header_compiler=no
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
Emmanuel Bertin
committed
{ $as_echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
$as_echo "$ac_header_compiler" >&6; }
Emmanuel Bertin
committed
{ $as_echo "$as_me:$LINENO: checking fftw/fftw3.h presence" >&5
$as_echo_n "checking fftw/fftw3.h presence... " >&6; }
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
#include <fftw/fftw3.h>
_ACEOF
if { (ac_try="$ac_cpp conftest.$ac_ext"
case "(($ac_try" in
*\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
*) ac_try_echo=$ac_try;;
esac
Emmanuel Bertin
committed
eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
$as_echo "$ac_try_echo") >&5
(eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
ac_status=$?
grep -v '^ *+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
Emmanuel Bertin
committed
$as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } >/dev/null && {
test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
test ! -s conftest.err
}; then
ac_header_preproc=yes
else
Emmanuel Bertin
committed
$as_echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
ac_header_preproc=no
fi
rm -f conftest.err conftest.$ac_ext
Emmanuel Bertin
committed
{ $as_echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
$as_echo "$ac_header_preproc" >&6; }
# So? What about this header?
case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
yes:no: )
Emmanuel Bertin
committed
{ $as_echo "$as_me:$LINENO: WARNING: fftw/fftw3.h: accepted by the compiler, rejected by the preprocessor!" >&5
$as_echo "$as_me: WARNING: fftw/fftw3.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
{ $as_echo "$as_me:$LINENO: WARNING: fftw/fftw3.h: proceeding with the compiler's result" >&5
$as_echo "$as_me: WARNING: fftw/fftw3.h: proceeding with the compiler's result" >&2;}
ac_header_preproc=yes
;;
no:yes:* )
Emmanuel Bertin
committed
{ $as_echo "$as_me:$LINENO: WARNING: fftw/fftw3.h: present but cannot be compiled" >&5
$as_echo "$as_me: WARNING: fftw/fftw3.h: present but cannot be compiled" >&2;}
{ $as_echo "$as_me:$LINENO: WARNING: fftw/fftw3.h: check for missing prerequisite headers?" >&5
$as_echo "$as_me: WARNING: fftw/fftw3.h: check for missing prerequisite headers?" >&2;}
{ $as_echo "$as_me:$LINENO: WARNING: fftw/fftw3.h: see the Autoconf documentation" >&5
$as_echo "$as_me: WARNING: fftw/fftw3.h: see the Autoconf documentation" >&2;}
{ $as_echo "$as_me:$LINENO: WARNING: fftw/fftw3.h: section \"Present But Cannot Be Compiled\"" >&5
$as_echo "$as_me: WARNING: fftw/fftw3.h: section \"Present But Cannot Be Compiled\"" >&2;}
{ $as_echo "$as_me:$LINENO: WARNING: fftw/fftw3.h: proceeding with the preprocessor's result" >&5
$as_echo "$as_me: WARNING: fftw/fftw3.h: proceeding with the preprocessor's result" >&2;}
{ $as_echo "$as_me:$LINENO: WARNING: fftw/fftw3.h: in the future, the compiler will take precedence" >&5
$as_echo "$as_me: WARNING: fftw/fftw3.h: in the future, the compiler will take precedence" >&2;}
( cat <<\_ASBOX
## ---------------------------- ##
## Report this to bertin@iap.fr ##
## ---------------------------- ##
_ASBOX
) | sed "s/^/$as_me: WARNING: /" >&2
;;
esac
Emmanuel Bertin
committed
{ $as_echo "$as_me:$LINENO: checking for fftw/fftw3.h" >&5
$as_echo_n "checking for fftw/fftw3.h... " >&6; }
if test "${ac_cv_header_fftw_fftw3_h+set}" = set; then
Emmanuel Bertin
committed
$as_echo_n "(cached) " >&6
else
ac_cv_header_fftw_fftw3_h=$ac_header_preproc
fi
Emmanuel Bertin
committed
{ $as_echo "$as_me:$LINENO: result: $ac_cv_header_fftw_fftw3_h" >&5
$as_echo "$ac_cv_header_fftw_fftw3_h" >&6; }
Emmanuel Bertin
committed
if test "x$ac_cv_header_fftw_fftw3_h" = x""yes; then
acx_fftw_ok=yes
fi
if test x$acx_fftw_ok = xyes; then
cat >>confdefs.h <<\_ACEOF
#define FFTW_H "fftw/fftw3.h"
_ACEOF
else
FFTW_ERROR="FFTW include files not found in default location!"
fi
fi
else
Emmanuel Bertin
committed
as_ac_Header=`$as_echo "ac_cv_header_$fftw_libdir/include/fftw3.h" | $as_tr_sh`
if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
Emmanuel Bertin
committed
{ $as_echo "$as_me:$LINENO: checking for $fftw_libdir/include/fftw3.h" >&5
$as_echo_n "checking for $fftw_libdir/include/fftw3.h... " >&6; }
if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
Emmanuel Bertin
committed
$as_echo_n "(cached) " >&6
Emmanuel Bertin
committed
ac_res=`eval 'as_val=${'$as_ac_Header'}
$as_echo "$as_val"'`
{ $as_echo "$as_me:$LINENO: result: $ac_res" >&5
$as_echo "$ac_res" >&6; }
Emmanuel Bertin
committed
{ $as_echo "$as_me:$LINENO: checking $fftw_libdir/include/fftw3.h usability" >&5
$as_echo_n "checking $fftw_libdir/include/fftw3.h usability... " >&6; }
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
$ac_includes_default
#include <$fftw_libdir/include/fftw3.h>
_ACEOF
rm -f conftest.$ac_objext
if { (ac_try="$ac_compile"
case "(($ac_try" in
*\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
*) ac_try_echo=$ac_try;;
esac
Emmanuel Bertin
committed
eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
$as_echo "$ac_try_echo") >&5
(eval "$ac_compile") 2>conftest.er1
ac_status=$?
grep -v '^ *+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
Emmanuel Bertin
committed
$as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } && {
test -z "$ac_c_werror_flag" ||
test ! -s conftest.err
} && test -s conftest.$ac_objext; then
ac_header_compiler=yes
else
Emmanuel Bertin
committed
$as_echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
ac_header_compiler=no
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
Emmanuel Bertin
committed
{ $as_echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
$as_echo "$ac_header_compiler" >&6; }
Emmanuel Bertin
committed
{ $as_echo "$as_me:$LINENO: checking $fftw_libdir/include/fftw3.h presence" >&5
$as_echo_n "checking $fftw_libdir/include/fftw3.h presence... " >&6; }
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
#include <$fftw_libdir/include/fftw3.h>
_ACEOF
if { (ac_try="$ac_cpp conftest.$ac_ext"
case "(($ac_try" in
*\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
*) ac_try_echo=$ac_try;;
esac
Emmanuel Bertin
committed
eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
$as_echo "$ac_try_echo") >&5
(eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
ac_status=$?
grep -v '^ *+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
Emmanuel Bertin
committed
$as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } >/dev/null && {
test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
test ! -s conftest.err
}; then
ac_header_preproc=yes
else
Emmanuel Bertin
committed
$as_echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
ac_header_preproc=no
fi
rm -f conftest.err conftest.$ac_ext
Emmanuel Bertin
committed
{ $as_echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
$as_echo "$ac_header_preproc" >&6; }
# So? What about this header?
case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
yes:no: )
Emmanuel Bertin
committed
{ $as_echo "$as_me:$LINENO: WARNING: $fftw_libdir/include/fftw3.h: accepted by the compiler, rejected by the preprocessor!" >&5
$as_echo "$as_me: WARNING: $fftw_libdir/include/fftw3.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
{ $as_echo "$as_me:$LINENO: WARNING: $fftw_libdir/include/fftw3.h: proceeding with the compiler's result" >&5
$as_echo "$as_me: WARNING: $fftw_libdir/include/fftw3.h: proceeding with the compiler's result" >&2;}
ac_header_preproc=yes
;;
no:yes:* )
Emmanuel Bertin
committed
{ $as_echo "$as_me:$LINENO: WARNING: $fftw_libdir/include/fftw3.h: present but cannot be compiled" >&5
$as_echo "$as_me: WARNING: $fftw_libdir/include/fftw3.h: present but cannot be compiled" >&2;}
{ $as_echo "$as_me:$LINENO: WARNING: $fftw_libdir/include/fftw3.h: check for missing prerequisite headers?" >&5
$as_echo "$as_me: WARNING: $fftw_libdir/include/fftw3.h: check for missing prerequisite headers?" >&2;}
{ $as_echo "$as_me:$LINENO: WARNING: $fftw_libdir/include/fftw3.h: see the Autoconf documentation" >&5
$as_echo "$as_me: WARNING: $fftw_libdir/include/fftw3.h: see the Autoconf documentation" >&2;}
{ $as_echo "$as_me:$LINENO: WARNING: $fftw_libdir/include/fftw3.h: section \"Present But Cannot Be Compiled\"" >&5
$as_echo "$as_me: WARNING: $fftw_libdir/include/fftw3.h: section \"Present But Cannot Be Compiled\"" >&2;}
{ $as_echo "$as_me:$LINENO: WARNING: $fftw_libdir/include/fftw3.h: proceeding with the preprocessor's result" >&5
$as_echo "$as_me: WARNING: $fftw_libdir/include/fftw3.h: proceeding with the preprocessor's result" >&2;}
{ $as_echo "$as_me:$LINENO: WARNING: $fftw_libdir/include/fftw3.h: in the future, the compiler will take precedence" >&5
$as_echo "$as_me: WARNING: $fftw_libdir/include/fftw3.h: in the future, the compiler will take precedence" >&2;}
( cat <<\_ASBOX
## ---------------------------- ##